Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsWebRequestFilter

    java.lang.Object
      org.springframework.web.filter.OncePerRequestFilter
          org.codehaus.groovy.grails.web.servlet.mvc.GrailsWebRequestFilter

    public class GrailsWebRequestFilter
    extends OncePerRequestFilter

Binds a GrailsWebRequestFilter to the currently executing thread.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`protected void` | `doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)`
`protected void` | `initFilterBean()`
`void` | `initialize()`

Method Detail

### doFilterInternal

    @Override
    protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)

### initFilterBean

    de
    	protect
    protected void initFilterBean()

### initialize

    public void initialize()

Groovy Documentation